summaryrefslogtreecommitdiff
path: root/nscd/nscd.init
diff options
context:
space:
mode:
authorUlrich Drepper <drepper@redhat.com>1998-08-31 11:11:15 +0000
committerUlrich Drepper <drepper@redhat.com>1998-08-31 11:11:15 +0000
commitac72fbb190675473855c33d79ccd75b0de68c0d1 (patch)
tree715139687d3d5cf9029ee29009caea178950d9e8 /nscd/nscd.init
parente0d46614cd97dfe0040a053d7c63122db5b19197 (diff)
Update.
1998-08-31 Ulrich Drepper <drepper@cygnus.com> * io/sys/stat.h (ALLPERMS): Fix type (S_ISTXT -> S_ISVTX). Reported by Rob.Hagopian@vu.union.edu [PR libc/763]. * nscd/nscd.init: Make it work in RedHat systems. Patch by Christian Gafton. 1998-08-29 Philip Blundell <philb@gnu.org> * catgets/Makefile: Don't try to run test programs when cross-compiling. 1998-08-31 Ulrich Drepper <drepper@cygnus.com> * signal/signal.h: Include bits/sigthread.h only if __USE_POSIX. Reported by Zack Weinberg. 1998-08-30 Andreas Schwab <schwab@issan.informatik.uni-dortmund.de> * sysdeps/unix/sysv/linux/Dist: Add umount.S and umount2.S. * elf/Makefile (distribute): Remove ldd.sh.in. 1998-08-31 11:46 Andreas Schwab <schwab@issan.informatik.uni-dortmund.de> * sysdeps/unix/sysv/linux/dl-origin.h (get_origin): Remove unused variable.
Diffstat (limited to 'nscd/nscd.init')
-rw-r--r--nscd/nscd.init19
1 files changed, 12 insertions, 7 deletions
diff --git a/nscd/nscd.init b/nscd/nscd.init
index 097ce42c99..63172a0d1a 100644
--- a/nscd/nscd.init
+++ b/nscd/nscd.init
@@ -2,11 +2,18 @@
#
# nscd: Starts the Name Switch Cache Daemon
#
-# chkconfig: 345 52 25
-# description: This is a daemon which handles passwd and group lookups
-# for running programs and cache the results for the next
-# query. You should start this daemon only if you use
+# chkconfig: - 30 80
+# description: This is a daemon which handles passwd and group lookups \
+# for running programs and cache the results for the next \
+# query. You should start this daemon only if you use \
# slow Services like NIS or NIS+
+# processname: nscd
+# config: /etc/nscd.conf
+#
+
+# Sanity checks.
+[ -f /etc/nscd.conf ] || exit 0
+[ -x /usr/sbin/nscd ] || exit 0
# Source function library.
. /etc/rc.d/init.d/functions
@@ -14,7 +21,6 @@
# See how we were called.
case "$1" in
start)
- test -f /etc/nscd.conf -a -f /usr/sbin/nscd || exit 0
secure=""
# for table in passwd group
# do
@@ -30,7 +36,6 @@ case "$1" in
touch /var/lock/subsys/nscd
;;
stop)
- test -f /usr/sbin/nscd || exit 0
echo -n "Stopping Name Switch Cache Daemon: "
/usr/sbin/nscd -K
rm -f /var/lock/subsys/nscd
@@ -44,7 +49,7 @@ case "$1" in
$0 start
;;
*)
- echo "Usage: /etc/rc.d/init.d/nscd.init {start|stop|status|restart}"
+ echo "Usage: $0 {start|stop|status|restart}"
;;
esac
exit 0